Needs Firefox 4 compatibility! Rated 5 out of 5 stars

This is a great little utility. Needs to be compatible with the Firefox 4 beta releases... argh!

This review is for a previous version of the add-on (1.9.37).